### Function

# EDataServer categories_get_list

deprecated: 3.16

#### Declaration [src]

    GList*
    e_categories_get_list (
      void
    )

#### Description [src]

Returns a sorted list of all the category names currently configured.

This function is mostly thread safe, but as the category names are not copied, they may be freed by another thread after being returned by this function. Use `e_categories_dup_list()` instead.

Deprecated since: 3.16

This function is not entirely thread safe. Use `e_categories_dup_list()` instead.

#### Return value

Type: A list of `utf8`

A sorted GList containing the names of the categories. The list should be freed using g_list_free(), but the names of the categories should not be touched at all, they are internal strings.

The caller of the function takes ownership of the data container, but not the data inside it.
Each element is a NUL terminated UTF-8 string.